
%red_header {
  background-color: $red;
  color: #FFF;
  text-transform: uppercase;
  font-size: .9rem;
  padding: .1rem .5rem;
  margin: 0 0 .2rem;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Raleway', sans-serif;
  font-weight: 900;
  border: none;
}

h3 {
  @extend %red_header;

  &.input-inside {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-right: 0.1rem;

    select {
      background: $almost_white;
    }

    input {
      background: $almost-white;
      border: none;
      flex-shrink: 1;
      width: 20px !important;
      text-align: center;
      height: auto;
      border-radius: 0;
    }
  }
}

ul {
  padding: 0;
  margin: 0;

  li {
    list-style-position: inside;
    list-style-type: disclosure-closed;
  }
}

textarea {
  margin-top: 10px;
  margin-bottom: 20px;
}

.scroll {
  overflow: auto;
}

.debug-toggle {
  opacity: 0.1;

  &.on {
    opacity: 0.75;
  }
}

.rollable-text {
  transition: color $transition-period;

  .fas, .far {
    opacity: 0;
    transition: opacity 200ms;
  }

  &:hover {
    cursor: pointer;
    color: lighten($red, 35%) !important;
    text-shadow: none;

    .fas, .far {
      opacity: 1;
    }
  }
}

section {
  display: flex;
  flex-direction: column;
  padding: .8rem;

  .grow-one {
    flex-grow: 1;
  }

  .grow-two {
    flex-grow: 2;
  }

  &.experience {
    margin-bottom: 0px;
    justify-content: center;
  }
}

.flex-horizontal {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.flex-vertical {
  display: flex;
  flex-direction: column;
}

.flex-horizontal, .flex-vertical {
  &.gap {
    gap: .4rem;
  }
}

.tab[data-tab] {
  display: none;

  &.active {
    display: block;
  }
}

.black-label {
  background-color: $almost_black;
  color: $almost_white;
  font-size: 21px;
  text-align: center;
  padding: 0px 5px;
  height: 30px !important;
  text-transform: capitalize;
  font-family: Kirsty, serif;
}

.gray-label {
  background-color: $gray;
  color: $almost_black;
  font-size: 21px;
  text-align: center;
  padding: 0px 5px;
  height: 30px !important;
  text-transform: capitalize;
  font-family: Kirsty, serif;
}


.label-stripe {
  text-transform: uppercase;
  background-color: $almost_black;
  color: $almost_white;
  margin-bottom: 10px;
  position: relative;
  padding-left: 10px;
  padding-right: 10px;
  display: flex;
  font-weight: bold;
}

.label-stripe-gray {
  text-transform: uppercase;
  background-color: $gray;
  margin-bottom: 10px;
  position: relative;
  padding-left: 10px;
  padding-right: 10px;
  display: flex;
  font-weight: bold;
}

.editor,
.editor-content {
  min-height: 150px;
}

.description {
  font-style: italic;
}

i {
  &.nullifier {
    @include changeable($transition-period, $hover-brightness, $hover-opacity, $red);
  }
}


td {
  padding: 5px;
}

label {
  &.inline {
    display: flex;
    gap: .4rem;
    align-items: center;
  }
}

.radio-list {
  @extend .flex-horizontal;
  justify-content: flex-start;
  align-items: center;
  gap: .8rem;

  label {
    white-space: nowrap;
  }

  input[type=radio] {
    width: auto !important;
  }
}

.tag {
  flex: none;
  align-self: flex-start;
  height: 20px;
  border: 1px solid #000;
  border-radius: 3px;
  padding: 0 3px;
  margin: 0 0 0 2px;
  font-size: 11px;
  line-height: 18px;
  text-decoration: none;
  background: #333;
  color: $almost_white;
}
